Skip to main content
GET
Error

Authorizations

aura_session
string
cookie
required

HttpOnly session cookie set by POST /v1/auth/session. Mutating requests must also send the CSRF token (returned by that call) in the x-csrf-token header.

Path Parameters

address
string
required

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$

Query Parameters

marketAddress
string

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$
status
enum<string>
default:open
Available options:
open,
filled,
cancelled,
all
limit
integer
default:100
Required range: 1 <= x <= 200
cursor
string

Accepted-sequence cursor returned by the previous page.

Pattern: ^[1-9][0-9]*$

Response

Default Response

orders
object[]
required
pagination
object
required

Pagination envelope returned alongside every list endpoint.

Last modified on August 11, 2026